Subject: Re: [RFC PATCH 00/12] Base SHA-256 algorithm implementation

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 29 Aug 2018 11:37:25 +0200

On Wed, Aug 29 2018, brian m. carlson wrote:

> If libgit2 would like to import this SHA-256 implementation, they're
> welcome to do so under their normal license terms.  If not, that's fine,
> too.

For them and anyone else interested in such re-use, can you elaborate on
which parts?

It seems to me that aside from t/helper/test-hash-speed.c and
t/t0014-hash.sh everything being added here modifies existing files with
many authors, and would thus also need their permission to re-license as
anything except GPLv2.

Or do you mean whatever fixes/changes you did to libtomcrypt (living in
sha256/block/ in this series) you consider e.g. LPGL instead of GPL?